## Fetch all sessions of an App `client.realtimeKit.sessions.getSessions(stringappId, SessionGetSessionsParamsparams, RequestOptionsoptions?): SessionGetSessionsResponse` **get** `/accounts/{account_id}/realtime/kit/{app_id}/sessions` Returns details of all sessions of an App. ### Parameters - `appId: string` The app identifier tag. - `params: SessionGetSessionsParams` - `account_id: string` Path param: The account identifier tag. - `associated_id?: string` Query param: ID of the meeting that sessions should be associated with - `end_time?: string` Query param: The end time range for which you want to retrieve the meetings. The time must be specified in ISO format. - `page_no?: number` Query param: The page number from which you want your page search results to be displayed. - `participants?: string` Query param - `per_page?: number` Query param: Number of results per page - `search?: string` Query param: Search string that matches sessions based on meeting title, meeting ID, and session ID - `sort_by?: "minutesConsumed" | "createdAt"` Query param - `"minutesConsumed"` - `"createdAt"` - `sort_order?: "ASC" | "DESC"` Query param - `"ASC"` - `"DESC"` - `start_time?: string` Query param: The start time range for which you want to retrieve the meetings. The time must be specified in ISO format. - `status?: "LIVE" | "ENDED"` Query param - `"LIVE"` - `"ENDED"` ### Returns - `SessionGetSessionsResponse` - `data?: Data` - `sessions?: Array` - `id: string` ID of the session - `associated_id: string` ID of the meeting this session is associated with. In the case of V2 meetings, it is always a UUID. In V1 meetings, it is a room name of the form `abcdef-ghijkl` - `created_at: string` timestamp when session created - `live_participants: number` number of participants currently in the session - `max_concurrent_participants: number` number of maximum participants that were in the session - `meeting_display_name: string` Title of the meeting this session belongs to - `minutes_consumed: number` number of minutes consumed since the session started - `organization_id: string` App id that hosted this session - `started_at: string` timestamp when session started - `status: "LIVE" | "ENDED"` current status of session - `"LIVE"` - `"ENDED"` - `type: "meeting" | "livestream" | "participant"` type of session - `"meeting"` - `"livestream"` - `"participant"` - `updated_at: string` timestamp when session was last updated - `breakout_rooms?: Array` - `ended_at?: string` timestamp when session ended - `meta?: unknown` Any meta data about session. - `success?: boolean` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.realtimeKit.sessions.getSessions('app_id', { account_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.data); ``` #### Response ```json { "data": { "sessions": [ { "id": "id", "associated_id": "associated_id", "created_at": "created_at", "live_participants": 0, "max_concurrent_participants": 0, "meeting_display_name": "meeting_display_name", "minutes_consumed": 0, "organization_id": "organization_id", "started_at": "started_at", "status": "LIVE", "type": "meeting", "updated_at": "updated_at", "breakout_rooms": [ {} ], "ended_at": "ended_at", "meta": {} } ] }, "success": true } ```